Debian Bug report logs - #534043
freetennis: FTBFS: Error: Cannot find file ci_core.cmxa

version graph

Package: freetennis; Maintainer for freetennis is Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>; Source for freetennis is src:freetennis.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 21 Jun 2009 15:27:02 UTC

Severity: serious

Tags: sid, squeeze

Found in version freetennis/0.4.8-5

Fixed in version freetennis/0.4.8-6

Done: Mehdi Dogguy <dogguy@pps.jussieu.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#534043; Package freetennis. (Sun, 21 Jun 2009 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Sun, 21 Jun 2009 15:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: freetennis: FTBFS: Error: Cannot find file ci_core.cmxa
Date: Sun, 21 Jun 2009 16:34:04 +0200
Package: freetennis
Version: 0.4.8-5
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090620 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-freetennis_0.4.8-5-amd64-zWPm0d/freetennis-0.4.8'
> ocamlopt -I +camlimages -I +lablGL -I +lablgtk2 -I +sdl -w Aelzy -o freetennis bigarray.cmxa sdl.cmxa lablgtk.cmxa lablgl.cmxa ci_core.cmxa sdlmixer.cmxa sdlttf.cmxa unix.cmxa freetennis.ml
> File "freetennis.ml", line 1271, characters 6-19:
> Warning X: this statement never returns (or has an unsound type.)
> File "freetennis.ml", line 1, characters 0-1:
> Error: Cannot find file ci_core.cmxa
> make[1]: *** [freetennis.opt] Error 2

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/06/20/freetennis_0.4.8-5_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Tags added: pending Request was from "Mehdi Dogguy" <Mehdi.Dogguy@pps.jussieu.fr> to control@bugs.debian.org. (Tue, 23 Jun 2009 12:48:05 GMT) Full text and rfc822 format available.

Reply sent to Mehdi Dogguy <dogguy@pps.jussieu.fr>:
You have taken responsibility. (Tue, 23 Jun 2009 16:04:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 23 Jun 2009 16:04:38 GMT) Full text and rfc822 format available.

Message #12 received at 534043-close@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <dogguy@pps.jussieu.fr>
To: 534043-close@bugs.debian.org
Subject: Bug#534043: fixed in freetennis 0.4.8-6
Date: Tue, 23 Jun 2009 15:33:02 +0000
Source: freetennis
Source-Version: 0.4.8-6

We believe that the bug you reported is fixed in the latest version of
freetennis, which is due to be installed in the Debian FTP archive:

freetennis-common_0.4.8-6_all.deb
  to pool/main/f/freetennis/freetennis-common_0.4.8-6_all.deb
freetennis_0.4.8-6.diff.gz
  to pool/main/f/freetennis/freetennis_0.4.8-6.diff.gz
freetennis_0.4.8-6.dsc
  to pool/main/f/freetennis/freetennis_0.4.8-6.dsc
freetennis_0.4.8-6_amd64.deb
  to pool/main/f/freetennis/freetennis_0.4.8-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 534043@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mehdi Dogguy <dogguy@pps.jussieu.fr> (supplier of updated freetennis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 23 Jun 2009 11:08:47 +0200
Source: freetennis
Binary: freetennis-common freetennis
Architecture: source all amd64
Version: 0.4.8-6
Distribution: unstable
Urgency: low
Maintainer: Stefano Zacchiroli <zack@debian.org>
Changed-By: Mehdi Dogguy <dogguy@pps.jussieu.fr>
Description: 
 freetennis - Free Tennis - simulation game
 freetennis-common - Free Tennis - simulation game
Closes: 483792 534043
Changes: 
 freetennis (0.4.8-6) unstable; urgency=low
 .
   * Using make -j doesn't cause the package to FTBFS anymore, Closes: #483792.
   * Fix FTBFS: Add graphics.cmxa when compiling, Closes: #534043.
   * Drop 02_Makefile.dpatch and use debian/Makefile instead (Same content
     but easier to modify).
   * Bump standards version to 3.8.2, no changes needed.
   * Update packaging:
     - Switch packaging to git
     - Use « dh --with quilt » and bump compat to 7
     - Use quilt instead of dpatch
     - Add dh-ocaml as a build-dependency
     - Drop custom flag for non-native binaries and needed dependencies.
     - Drop useless build-dependency: libcamlimages-ocaml-dev
     - Fix copyright-refers-to-symlink-license
     - Move freetennis manpage and menu to correct sections
   * Fix menu-icon-too-big (reduced its size to 32×32)
Checksums-Sha1: 
 3f570355c484600ab781a3ce90e4f974e2d7811c 1484 freetennis_0.4.8-6.dsc
 54ef41bdf0a7a8e0f9c2f1a33704b3011dfa5493 8499 freetennis_0.4.8-6.diff.gz
 7934fe02e1ff4fcf63c00007cc484bdd736ddde3 6511324 freetennis-common_0.4.8-6_all.deb
 ab9493af9829bb9e6fe61784a25f23a8027ae151 382002 freetennis_0.4.8-6_amd64.deb
Checksums-Sha256: 
 b6d17be0dd6a8b5bd88cc533ee579017ea4011174bd754777b51aba18edade3c 1484 freetennis_0.4.8-6.dsc
 ce5bc12dd09287f7a2bb2c598a18d687490211f4604cc29a8aecbf97253cc2ed 8499 freetennis_0.4.8-6.diff.gz
 bfec346ae7dcfa836a3bfc0499dd75ca8f5951d7ad859707fc6b51e442b16e3c 6511324 freetennis-common_0.4.8-6_all.deb
 e4eebcd97703c96de073d72f278de58f4b263c25e13683eabc6701cac6e50a32 382002 freetennis_0.4.8-6_amd64.deb
Files: 
 3a86f4b8eae28f2c19284098001f838f 1484 games optional freetennis_0.4.8-6.dsc
 ed793cb4712cc648d80023b9b6956c83 8499 games optional freetennis_0.4.8-6.diff.gz
 9802bdd7a629451b171581a43b75ced5 6511324 games optional freetennis-common_0.4.8-6_all.deb
 9df0f67e6bd912f035d0011ed8b07652 382002 games optional freetennis_0.4.8-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKQPOI1cqbBPLEI7wRAgMLAJ9kYUCvObSaxkGP+R9HWAh/8JLvzQCdHri7
hte6sUWoULyka5eY59gwomY=
=tj6a
-----END PGP SIGNATURE-----





Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Fri, 22 Jan 2010 16:42:44 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:02:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:04:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.